summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-10-16 22:01:11 +0000
committerJim Meyering <jim@meyering.net>2000-10-16 22:01:11 +0000
commit66a4baa8a6e72216c961c439a0e231aaca5d3677 (patch)
tree1609a76fa56080f34fa2525f85b5039caa1dcbb3 /tests/cp
parentae2b7961cf72f6d829d3e8930faefb21f22ff372 (diff)
downloadcoreutils-66a4baa8a6e72216c961c439a0e231aaca5d3677.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/cp-parents31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/cp/cp-parents b/tests/cp/cp-parents
new file mode 100755
index 000000000..6d36e0396
--- /dev/null
+++ b/tests/cp/cp-parents
@@ -0,0 +1,31 @@
+#!/bin/sh
+# cp -a --parents dir-specified-with-trailing-slash/ other-dir
+# would get a failed assertion.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+pwd=`pwd`
+tmp=cp-parents.$$
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+. $srcdir/../envvar-check
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir foo bar || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+cp --parents foo/ bar || fail=1
+
+(exit $fail); exit